Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.boot
Class PlatformLoader.Capability

    java.lang.Object
      org.jini.rio.boot.PlatformLoader.Capability

Enclosing class:
  PlatformLoader

    public static class PlatformLoader.Capability

extends Object

Contains attributes for a platform capability.

Constructor Summary
`PlatformLoader.Capability()`

Method Summary
`String` | `geCostModelClass()`
`String[]` | `getClasspath()`
`URL[]` | `getClasspathURLs()`
`boolean` | `getCommon()`
`String` | `getDescription()`
`String` | `getManufacturer()`
`String` | `getName()`
`String` | `getNativeLib()`
`String` | `getPath()`
`String` | `getPlatformClass()`
`String` | `getVersion()`
`void` | `setClasspath(String classpath)`
`void` | `setCommon(String common)`
`void` | `setCostModelClass(String costModelClass)`
`void` | `setDescription(String description)`
`void` | `setManufacturer(String manufacturer)`
`void` | `setName(String name)`
`void` | `setNativeLib(String nativeLib)`
`void` | `setPath(String path)`
`void` | `setPlatformClass(String platformClass)`
`void` | `setVersion(String version)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlatformLoader.Capability

    public PlatformLoader.Capability()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getManufacturer

    public String getManufacturer()

### setManufacturer

    public void setManufacturer(String manufacturer)

### getVersion

    public String getVersion()

### setVersion

    public void setVersion(String version)

### getClasspath

    public String[] getClasspath()

### getClasspathURLs

    public URL[] getClasspathURLs()
                           throws MalformedURLException

  Throws:
    `MalformedURLException`

### setClasspath

    public void setClasspath(String classpath)

### getNativeLib

    public String getNativeLib()

### setNativeLib

    public void setNativeLib(String nativeLib)

### getPath

    public String getPath()

### setPath

    public void setPath(String path)

### getCommon

    public boolean getCommon()

### setCommon

    public void setCommon(String common)

### getPlatformClass

    public String getPlatformClass()

### setPlatformClass

    public void setPlatformClass(String platformClass)

### geCostModelClass

    public String geCostModelClass()

### setCostModelClass

    public void setCostModelClass(String costModelClass)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.